<?php

/**
 * Class that operate on table 'productingredients'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2019-04-04 07:28
 */
class ProductingredientsMySqlExtDAO extends ProductingredientsMySqlDAO {

    public function insertWithId($productingredient) {
        $sql = 'INSERT INTO productingredients (id, productId, ingridientId, unitId, quantity, userId, thedate, conditions) VALUES (?, ?, ?, ?, ?, ?, ?, ?)';
        $sqlQuery = new SqlQuery($sql);

        $sqlQuery->setNumber($productingredient->id);
        $sqlQuery->setNumber($productingredient->productId);
        $sqlQuery->setNumber($productingredient->ingridientId);
        $sqlQuery->setNumber($productingredient->unitId);
        $sqlQuery->set($productingredient->quantity);
        $sqlQuery->setNumber($productingredient->userId);
        $sqlQuery->set($productingredient->thedate);
        $sqlQuery->setNumber($productingredient->conditions);

        $id = $this->executeInsert($sqlQuery);
        $productingredient->id = $id;
        return $id;
    }

    public function queryAllProductIngridientsEX($id) {
        $sql = 'SELECT productingredients.* ,product.productName ,product.productBuyPrice , unit.unitName
                ,productBuyPrice,lastbuyprice,lastbuyprice_withDiscount,meanbuyprice,meanbuyprice_withDiscount
                ,productnumber
                FROM productingredients
                JOIN product
			 ON product.productId = productingredients.ingridientId
		JOIN productunit
			 ON  productunit.productunitid=productingredients.unitId
		JOIN unit
         	 ON unit.unitId= productunit.unitid
                WHERE productingredients.productId = ' . $id;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>